Debian Bug report logs - #570772
squeeze: partition sizes to small for recommended packages

version graph

Package: debian-edu-install; Maintainer for debian-edu-install is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-install is src:debian-edu-install.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sun, 21 Feb 2010 12:27:05 UTC

Severity: serious

Found in version debian-edu-install/1.506

Fixed in version debian-edu-install/1.508

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570772; Package debian-edu-install. (Sun, 21 Feb 2010 12:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 21 Feb 2010 12:27:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: squeeze: partition sizes to small for recommended packages
Date: Sun, 21 Feb 2010 13:25:35 +0100
[Message part 1 (text/plain, inline)]
package: debian-edu-install
severity: serious
version: 1.506
User: debian-edu@lists.debian.org
Usertags: debian-edu

Hi,

Default partition sizes are too small for workstation+thin-client-server 
installation (/opt, /var/ and /usr/ are too full). The cause is probably that 
all recommended packages are installed, and this require more space.

Filing as serious as it break automatic installations which is a core feature 
of Debian Edu.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570772; Package debian-edu-install. (Sun, 21 Feb 2010 12:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 21 Feb 2010 12:51:10 GMT) Full text and rfc822 format available.

Message #10 received at 570772@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570772@bugs.debian.org
Subject: Re: Bug#570772: squeeze: partition sizes to small for recommended packages
Date: Sun, 21 Feb 2010 13:48:23 +0100
[Holger Levsen]
> Default partition sizes are too small for
> workstation+thin-client-server installation (/opt, /var/ and /usr/
> are too full). The cause is probably that all recommended packages
> are installed, and this require more space.

There are three strategies for solving this:

 - Clean up recommends in Debian packages, to avoid installing so many
   packages.  An example of such issue is fluid-soundfont-gm
   recommending fluid-soundfont-gs, while we only want to install one
   of them.

 - Change how we install packages, asking tasksel and other parts of
   d-i to not install recommended packages.  I believe this is
   straight forward, but then we do not get the recommended packages
   we might want to have installed.

 - Extend partition sizes to make room for the extra packages, which
   will increase the disk space requirement and make it harder for us
   testing the installation in virtual machines (I do not have more space
   to spend on the virtual disk. :).

I suggest we try to implement them in that order, and see how far we
get by asking for recommended packages to be changed to suggests where
it make sense before we decide if we should drop recommended packages
during installation or extend the default partition sizes.  I suspect
changing a few huge packages might be enough (the sound fonts packages
are enormous. :).

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570772; Package debian-edu-install. (Thu, 25 Feb 2010 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 25 Feb 2010 21:03:05 GMT) Full text and rfc822 format available.

Message #15 received at 570772@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570772@bugs.debian.org
Subject: Re: Bug#570772: squeeze: partition sizes to small for recommended packages
Date: Thu, 25 Feb 2010 22:00:43 +0100
[Petter Reinholdtsen]
> There are three strategies for solving this:
> 
>  - Clean up recommends in Debian packages, to avoid installing so
>    many packages.  An example of such issue is fluid-soundfont-gm
>    recommending fluid-soundfont-gs, while we only want to install
>    one of them.

I've asked for fluid-soundfont-gm to not recommend fluid-soundfont-gs
(#571316), and followed up on a proposal for gnash to not recommend
csound (#570212).  This should save some space, but we need to try to
find other recommends that should be removed too.  Perhaps compare the
list of installed packages in lenny with the list of packages
installed in squeeze, or by looking at the largest packages and verify
that we really want to have them installed.

>  - Extend partition sizes to make room for the extra packages, which
>    will increase the disk space requirement and make it harder for us
>    testing the installation in virtual machines (I do not have more
>    space to spend on the virtual disk. :).

For the record, at the moment a main-server+thin-client-server
installation need this much space in MB on the overfull partitions:

  /opt  5527 (6144 minimum in the recipe)
  /usr  6115 (6144 minimum in the recipe)
  /var  2884 (2624 minimum in the recipe)

One would believe the recipe size is big enough, but partman some
times create partitions smaller than the minimum size given in the
recipe, leading to too small partitions. :(

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570772; Package debian-edu-install. (Thu, 11 Mar 2010 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 11 Mar 2010 22:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 570772@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570772@bugs.debian.org
Subject: Re: Bug#570772: squeeze: partition sizes to small for recommended packages
Date: Thu, 11 Mar 2010 23:31:04 +0100
[Petter Reinholdtsen]
> For the record, at the moment a main-server+thin-client-server
> installation need this much space in MB on the overfull partitions:
> 
>   /opt  5527 (6144 minimum in the recipe)
>   /usr  6115 (6144 minimum in the recipe)
>   /var  2884 (2624 minimum in the recipe)

The situation have improved slightly.  This is the current status when
installing main-server+thin-client-server using the netinst CD.

  /opt 5045
  /usr 5705
  /var 2567

I guess some recommends have been removed since the last test install.
The soundfont recommends is not yet fixed, and I am sure we will
discover more issues as we test the squeeze installation.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Wed, 07 Apr 2010 19:36:09 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Wed, 07 Apr 2010 19:36:09 GMT) Full text and rfc822 format available.

Message #25 received at 570772-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 570772-close@bugs.debian.org
Subject: Bug#570772: fixed in debian-edu-install 1.508
Date: Wed, 07 Apr 2010 19:33:13 +0000
Source: debian-edu-install
Source-Version: 1.508

We believe that the bug you reported is fixed in the latest version of
debian-edu-install, which is due to be installed in the Debian FTP archive:

debian-edu-install-udeb_1.508_all.udeb
  to main/d/debian-edu-install/debian-edu-install-udeb_1.508_all.udeb
debian-edu-install_1.508.dsc
  to main/d/debian-edu-install/debian-edu-install_1.508.dsc
debian-edu-install_1.508.tar.gz
  to main/d/debian-edu-install/debian-edu-install_1.508.tar.gz
debian-edu-install_1.508_all.deb
  to main/d/debian-edu-install/debian-edu-install_1.508_all.deb
debian-edu-profile-udeb_1.508_all.udeb
  to main/d/debian-edu-install/debian-edu-profile-udeb_1.508_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570772@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-install package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 07 Apr 2010 21:15:56 +0200
Source: debian-edu-install
Binary: debian-edu-install debian-edu-profile-udeb debian-edu-install-udeb
Architecture: source all
Version: 1.508
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-install - Set d-i values to install Debian Edu without questions
 debian-edu-install-udeb - Execute Debian Edu debian-installer profile (udeb)
 debian-edu-profile-udeb - Choose Debian Edu profile (udeb)
Closes: 570772 572771
Changes: 
 debian-edu-install (1.508) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Preseed passwd/user-default-groups to an empty set of groups for
     standalone installations, as we do not need static group membership to
     grant device access when we use consolekit and policykit.
   * Update partman recipes to make /usr, /var/ and /opt large enough
     for Squeeze (Closes: #570772).
 .
   [ Translations]
   * Polish German (de) by Andreas B. Mundt.
   * Updated Vietnamese from Clytie Siddall (Closes: #572771)
Checksums-Sha1: 
 ee400dcda12134d21e9967a688f33ec70fc92c6d 1370 debian-edu-install_1.508.dsc
 042fa5f40e8be5f16126971f72d0a24fce530c8e 151690 debian-edu-install_1.508.tar.gz
 73a232187de47b3c75d07004322dc1bc846c3190 42342 debian-edu-install_1.508_all.deb
 8602dc14dc9f1e591f714b59302a697356e07427 2802 debian-edu-install-udeb_1.508_all.udeb
 f5f17cb70e756e659ddc22dab7b8d9f726170107 51414 debian-edu-profile-udeb_1.508_all.udeb
Checksums-Sha256: 
 5857751bdb88c597b833f79df8b464d0faf903591c02b92fc9e498775515000a 1370 debian-edu-install_1.508.dsc
 e2179ee24ed0cf301cd76c359437c0620e481681199bc3d6abb4e311d2d421f1 151690 debian-edu-install_1.508.tar.gz
 4dce20a82393bdc95fe215faa02d6d0c43720f616dcb758231a81cd13aa7684c 42342 debian-edu-install_1.508_all.deb
 8e4ab85a0589b094197f3c3ab4258e7ad9ce03387d305035b918c2c86ffb7d27 2802 debian-edu-install-udeb_1.508_all.udeb
 fd2a7417e0faf4c207db0b3c322aaa7272ace442af397a30edf2d934e07a243b 51414 debian-edu-profile-udeb_1.508_all.udeb
Files: 
 5018da6e24a36960842ee186aa61fac5 1370 misc optional debian-edu-install_1.508.dsc
 8cf789f707eebc8c3e013eb3cdd7b8d9 151690 misc optional debian-edu-install_1.508.tar.gz
 61140a2624d0fc2ee29445a2080caf29 42342 misc extra debian-edu-install_1.508_all.deb
 fbc26e2dcb500b13ddf292e8ad0565fe 2802 debian-installer optional debian-edu-install-udeb_1.508_all.udeb
 cf1c2e570dc8732edd787e6c93d5c310 51414 debian-installer optional debian-edu-profile-udeb_1.508_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLvNov20zMSyow1ykRAkzvAJ43BHCxjIQQI+Fs1/aP9/Wwo1v12gCglGbz
CK+/P1hneFxI0y/bblZX0+A=
=ByfJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 May 2010 08:03:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:54:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.